SST_AvailRLEUpgrader (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.dbupgrade.SST_AvailRLEUpgrader class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant.dbupgrade
Class SST_AvailRLEUpgrader

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hyperic.tools.ant.dbupgrade.SchemaSpecTask
                  org.hyperic.tools.ant.dbupgrade.SST_AvailRLEUpgrader

    public class SST_AvailRLEUpgrader

extends SchemaSpecTask

Field Summary
`static java.lang.String` | `logCtx`
`static java.lang.String` | `SCHEMA_MOD_IN_PROGRESS`

Fields inherited from class org.hyperic.tools.ant.dbupgrade.SchemaSpecTask
`_ctx`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SST_AvailRLEUpgrader()`

Method Summary
`void` | `execute()`

Methods inherited from class org.hyperic.tools.ant.dbupgrade.SchemaSpecTask
`getConnection, getDBSpecificTypeName, getDBType, getDBUtilType, getNewConnection, initialize, translateSqlType`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logCtx

    public static final java.lang.String logCtx

### SCHEMA_MOD_IN_PROGRESS

    public static final java.lang.String SCHEMA_MOD_IN_PROGRESS

See Also:
  Constant Field Values

Constructor Detail

### SST_AvailRLEUpgrader

    public SST_AvailRLEUpgrader()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.